CREATE TABLE _c_fase (
  id int(10) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY name (name)
) TYPE=MyISAM;


# --------------------------------------------------------


CREATE TABLE _c_type (
  id int(10) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY name (name)
) TYPE=MyISAM;



CREATE TABLE _country (
  id int(10) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY name (name)
) TYPE=MyISAM;



CREATE TABLE _education (
  id int(10) NOT NULL auto_increment,
  id_worker int(10) NOT NULL default '0',
  text text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;



CREATE TABLE _employe_data (
  id int(10) NOT NULL auto_increment,
  id_worker int(10) NOT NULL default '0',
  description varchar(250) NOT NULL default '',
  address varchar(250) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;


# --------------------------------------------------------


CREATE TABLE _group (
  id int(10) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY name (name)
) TYPE=MyISAM;


# --------------------------------------------------------


CREATE TABLE _knowlige (
  id int(10) NOT NULL auto_increment,
  id_worker int(10) NOT NULL default '0',
  text text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

# --------------------------------------------------------

CREATE TABLE _town (
  id int(10) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY name (name)
) TYPE=MyISAM;

# --------------------------------------------------------


CREATE TABLE _type_contract (
  id int(10) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY name (name)
) TYPE=MyISAM;

# --------------------------------------------------------

CREATE TABLE _worker (
  id_worker int(10) NOT NULL default '0',
  employe_id varchar(20) NOT NULL default '',
  name varchar(50) NOT NULL default '',
  intersection text,
  initials varchar(10) default NULL,
  gender char(1) default NULL,
  street varchar(100) default NULL,
  h_number varchar(10) default NULL,
  add_h_number varchar(10) default NULL,
  zip varchar(20) default NULL,
  town varchar(100) default NULL,
  state varchar(100) default NULL,
  country varchar(50) default NULL,
  phone varchar(30) default NULL,
  mobile varchar(30) default NULL,
  fax varchar(30) default NULL,
  email varchar(30) NOT NULL default '',
  date_berth date NOT NULL default '0000-00-00',
  marriage char(1) default NULL,
  nationality varchar(20) default NULL,
  ssn varchar(20) default NULL,
  w_perm_number varchar(20) default NULL,
  st_perm_number varchar(20) default NULL,
  m_name varchar(50) default NULL,
  date datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (id_worker)
) TYPE=MyISAM;


# --------------------------------------------------------

CREATE TABLE agencies (
  id_firm int(10) NOT NULL default '0',
  id_sub_firm int(10) NOT NULL default '0'
) TYPE=MyISAM;


# --------------------------------------------------------

CREATE TABLE bloknot (
  user_id int(10) NOT NULL default '0',
  content text,
  PRIMARY KEY  (user_id)
) TYPE=MyISAM;

# --------------------------------------------------------

CREATE TABLE categories_v (
  id_category int(10) NOT NULL auto_increment,
  description varchar(50) NOT NULL default '',
  PRIMARY KEY  (id_category),
  UNIQUE KEY description (description)
) TYPE=MyISAM;


# --------------------------------------------------------

CREATE TABLE chatbox (
  cb_id int(10) unsigned NOT NULL auto_increment,
  cb_nick varchar(20) NOT NULL default '',
  cb_message text NOT NULL,
  cb_datestamp int(10) unsigned NOT NULL default '0',
  cb_blocked tinyint(3) unsigned NOT NULL default '0',
  cb_ip varchar(15) NOT NULL default '',
  PRIMARY KEY  (cb_id)
) TYPE=MyISAM;



# --------------------------------------------------------

CREATE TABLE content (
  content_id int(10) unsigned NOT NULL auto_increment,
  content_heading tinytext NOT NULL,
  content_subheading tinytext NOT NULL,
  content_content text NOT NULL,
  content_page tinyint(3) unsigned NOT NULL default '0',
  content_datestamp int(10) unsigned NOT NULL default '0',
  content_author smallint(5) unsigned NOT NULL default '0',
  content_comment tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (content_id)
) TYPE=MyISAM;


# --------------------------------------------------------


CREATE TABLE contracts (
  id_contract int(10) NOT NULL auto_increment,
  id_firm int(10) NOT NULL default '0',
  id_sub_firm int(10) default NULL,
  id_worker int(10) NOT NULL default '0',
  num_contract varchar(50) NOT NULL default '',
  end date NOT NULL default '0000-00-00',
  description varchar(50) NOT NULL default '',
  start date NOT NULL default '0000-00-00',
  period varchar(10) NOT NULL default '',
  summ varchar(50) NOT NULL default '',
  as_summ varchar(50) NOT NULL default '',
  conditions varchar(200) NOT NULL default '',
  fase int(10) default NULL,
  id_vacancy int(10) NOT NULL default '0',
  PRIMARY KEY  (id_contract)
) TYPE=MyISAM;

# --------------------------------------------------------

CREATE TABLE firms (
  id_firm int(10) NOT NULL default '0',
  name varchar(100) NOT NULL default '',
  clientnumber varchar(50) NOT NULL default '',
  type int(1) NOT NULL default '0',
  phone varchar(250) NOT NULL default '',
  fax varchar(100) NOT NULL default '',
  email varchar(100) NOT NULL default '',
  chamber_commerce varchar(50) NOT NULL default '',
  PRIMARY KEY  (id_firm)
) TYPE=MyISAM;


# --------------------------------------------------------


CREATE TABLE firms_add (
  id_firm int(10) NOT NULL default '0',
  c_name varchar(50) NOT NULL default '',
  c_intersection text NOT NULL,
  c_inicials varchar(8) default NULL,
  c_gender varchar(50) default NULL,
  c_phone varchar(25) default NULL,
  c_mobile varchar(25) default NULL,
  c_email varchar(150) default NULL,
  v_street varchar(50) default NULL,
  v_house varchar(10) default NULL,
  v_house_add varchar(10) default NULL,
  v_zip varchar(25) default NULL,
  v_town int(10) default NULL,
  v_country int(10) default NULL,
  p_street varchar(50) default NULL,
  p_house varchar(10) default NULL,
  p_house_add varchar(10) default NULL,
  p_zip varchar(25) default NULL,
  p_town int(10) default NULL,
  p_country int(10) default NULL,
  PRIMARY KEY  (id_firm)
) TYPE=MyISAM;


# --------------------------------------------------------

CREATE TABLE firms_from_site (
  id_firm int(10) NOT NULL default '0',
  id_worker int(10) NOT NULL default '0'
) TYPE=MyISAM;

# --------------------------------------------------------

CREATE TABLE links (
  link_id int(10) unsigned NOT NULL auto_increment,
  link_name varchar(100) NOT NULL default '',
  link_url varchar(200) NOT NULL default '',
  link_description text NOT NULL,
  link_button varchar(100) NOT NULL default '',
  link_category tinyint(3) unsigned NOT NULL default '0',
  link_order int(10) unsigned NOT NULL default '0',
  link_refer int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (link_id)
) TYPE=MyISAM;


CREATE TABLE menus (
  menu_id int(10) NOT NULL auto_increment,
  menu_name varchar(100) NOT NULL default '',
  menu_location tinyint(3) unsigned NOT NULL default '0',
  menu_order tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (menu_id)
) TYPE=MyISAM;

# --------------------------------------------------------


CREATE TABLE news (
  news_id int(10) unsigned NOT NULL auto_increment,
  news_title varchar(200) NOT NULL default '',
  news_body text NOT NULL,
  news_extended text NOT NULL,
  news_datestamp int(10) unsigned NOT NULL default '0',
  news_author tinyint(3) unsigned NOT NULL default '0',
  news_source varchar(200) NOT NULL default '',
  news_url varchar(200) NOT NULL default '',
  news_catagory tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (news_id)
) TYPE=MyISAM;

# --------------------------------------------------------


CREATE TABLE news_category (
  category_id int(10) unsigned NOT NULL auto_increment,
  category_name varchar(200) NOT NULL default '',
  category_icon varchar(250) NOT NULL default '',
  PRIMARY KEY  (category_id)
) TYPE=MyISAM;

# --------------------------------------------------------


CREATE TABLE online (
  online_timestamp int(10) unsigned NOT NULL default '0',
  online_flag tinyint(3) unsigned NOT NULL default '0',
  online_user_id varchar(100) NOT NULL default '',
  online_ip varchar(15) NOT NULL default '',
  online_location varchar(100) NOT NULL default ''
) TYPE=MyISAM;

# --------------------------------------------------------

#
# ????????? ??????? `permissions`
#

CREATE TABLE permissions (
  id_perm int(10) NOT NULL default '0',
  description varchar(50) NOT NULL default '',
  PRIMARY KEY  (id_perm)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# ????????? ??????? `prefs`
#

CREATE TABLE prefs (
  pref_name varchar(100) NOT NULL default '',
  user_id int(10) default NULL,
  pref_value varchar(250) NOT NULL default '',
  KEY user_id (user_id)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# ????????? ??????? `users`
#

CREATE TABLE users (
  id_user int(10) NOT NULL auto_increment,
  id_worker int(10) NOT NULL default '0',
  user_login varchar(20) NOT NULL default '',
  user_pass varchar(20) NOT NULL default '',
  user_sess varchar(50) default NULL,
  cast varchar(50) NOT NULL default '',
  id_perm int(10) default '0',
  PRIMARY KEY  (id_user),
  UNIQUE KEY id_worker (id_worker),
  UNIQUE KEY user_login (user_login)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# ????????? ??????? `vacancies`
#

CREATE TABLE vacancies (
  id_vacancy int(10) NOT NULL auto_increment,
  id_category varchar(30) NOT NULL default '0',
  id_firm int(10) default NULL,
  name varchar(100) NOT NULL default '',
  payment int(20) default '0',
  description varchar(250) NOT NULL default '',
  sex int(2) default '0',
  time int(2) default '0',
  age1 int(2) default '0',
  age2 int(2) default '0',
  date date default NULL,
  country int(10) default NULL,
  town int(10) default NULL,
  _group int(10) default NULL,
  code varchar(20) default NULL,
  type_contract int(10) NOT NULL default '0',
  hours_week int(10) NOT NULL default '0',
  PRIMARY KEY  (id_vacancy)
) TYPE=MyISAM;

# --------------------------------------------------------


CREATE TABLE vacancies_from_site (
  id_vacancy int(10) NOT NULL auto_increment,
  id_category varchar(30) NOT NULL default '0',
  id_firm int(10) default NULL,
  name varchar(100) NOT NULL default '',
  payment int(20) default '0',
  description varchar(250) NOT NULL default '',
  sex int(2) default '0',
  time int(2) default '0',
  age1 int(2) default '0',
  age2 int(2) default '0',
  date date default NULL,
  country int(10) default NULL,
  town int(10) default NULL,
  _group int(10) default NULL,
  code varchar(20) default NULL,
  type_contract int(10) NOT NULL default '0',
  hours_week int(10) NOT NULL default '0',
  PRIMARY KEY  (id_vacancy)
) TYPE=MyISAM;

# --------------------------------------------------------


CREATE TABLE worker_from_site (
  id_worker int(10) NOT NULL default '0',
  employe_id varchar(20) NOT NULL default '',
  name varchar(50) NOT NULL default '',
  intersection text,
  initials varchar(10) default NULL,
  gender char(1) default NULL,
  street varchar(100) default NULL,
  h_number varchar(10) default NULL,
  add_h_number varchar(10) default NULL,
  zip varchar(20) default NULL,
  town varchar(100) default NULL,
  state varchar(100) default NULL,
  country varchar(50) default NULL,
  phone varchar(30) default NULL,
  mobile varchar(30) default NULL,
  fax varchar(30) default NULL,
  email varchar(30) NOT NULL default '',
  date_berth date NOT NULL default '0000-00-00',
  marriage char(1) default NULL,
  nationality varchar(20) default NULL,
  ssn varchar(20) default NULL,
  w_perm_number varchar(20) default NULL,
  st_perm_number varchar(20) default NULL,
  m_name varchar(50) NOT NULL default '',
  date datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (id_worker)
) TYPE=MyISAM;


